aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/btrees/btrees-4.11.3.ebuild17
-rw-r--r--dev-python/persistent/persistent-5.0.ebuild17
-rw-r--r--dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild10
-rw-r--r--dev-python/splinter/Manifest1
-rw-r--r--dev-python/splinter/metadata.xml24
-rw-r--r--dev-python/splinter/splinter-0.19.0.ebuild33
-rw-r--r--dev-python/zope-authentication/zope-authentication-5.0.ebuild7
-rw-r--r--dev-python/zope-browser/zope-browser-2.4.ebuild7
-rw-r--r--dev-python/zope-browserresource/zope-browserresource-4.4.ebuild7
-rw-r--r--dev-python/zope-container/zope-container-5.0.ebuild7
-rw-r--r--dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild7
-rw-r--r--dev-python/zope-i18n/zope-i18n-4.9.0.ebuild7
-rw-r--r--dev-python/zope-minmax/zope-minmax-2.3.ebuild7
-rw-r--r--dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild7
-rw-r--r--dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild7
-rw-r--r--dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild7
-rw-r--r--dev-python/zope-publisher/zope-publisher-6.1.0.ebuild7
-rw-r--r--dev-python/zope-security/zope-security-6.1.ebuild10
-rw-r--r--dev-python/zope-session/zope-session-4.5.ebuild7
-rw-r--r--dev-python/zope-site/zope-site-4.6.1.ebuild7
-rw-r--r--dev-python/zope-tal/zope-tal-5.0.1.ebuild7
-rw-r--r--dev-python/zope-tales/zope-tales-5.2.ebuild7
-rw-r--r--dev-python/zope-traversing/zope-traversing-4.4.1.ebuild7
23 files changed, 212 insertions, 12 deletions
diff --git a/dev-python/btrees/btrees-4.11.3.ebuild b/dev-python/btrees/btrees-4.11.3.ebuild
index d38e9be..b03f073 100644
--- a/dev-python/btrees/btrees-4.11.3.ebuild
+++ b/dev-python/btrees/btrees-4.11.3.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/BTrees-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Too manu failures, not upstream, needs to be investigated
+# Zope Testrunner
RESTRICT="test"
RDEPEND="
@@ -36,7 +36,16 @@ DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
distutils_enable_tests unittest
-src_test(){
- cd "${S}/src/BTrees" || die
- distutils-r1_src_test
+python_compile_all() {
+ # Create Zope Namespace
+ mkdir -p "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
+
+# src_test(){
+# cd "${S}/src/BTrees" || die
+# distutils-r1_src_test
+# }
diff --git a/dev-python/persistent/persistent-5.0.ebuild b/dev-python/persistent/persistent-5.0.ebuild
index 9e9d5b6..f3f32d7 100644
--- a/dev-python/persistent/persistent-5.0.ebuild
+++ b/dev-python/persistent/persistent-5.0.ebuild
@@ -15,6 +15,8 @@ SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
RDEPEND="
dev-python/cffi[${PYTHON_USEDEP}]
@@ -41,7 +43,16 @@ src_unpack() {
"${S}/src/persistent/tests/test_persistence.py" || die
}
-src_test() {
- cd "${S}/src/persistent" || die
- distutils-r1_src_test
+python_compile_all() {
+ # Create Zope Namespace
+ mkdir -p "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
+
+# src_test() {
+# cd "${S}/src/persistent" || die
+# distutils-r1_src_test
+# }
diff --git a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
index 182f3de..bfcfafa 100644
--- a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
+++ b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
@@ -16,6 +16,8 @@ S="${WORKDIR}/repoze.sphinx.autointerface-${PV}"
LICENSE="BSD-with-disclosure"
SLOT="0"
KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
@@ -25,7 +27,7 @@ DEPEND="${RDEPEND}"
distutils_enable_tests setup.py
-python_test() {
- zope-testrunner -pvcD --usecompiled \
- --path="${BUILD_DIR}/install$(python_get_sitedir)/" || die
-}
+# python_test() {
+# zope-testrunner -pvcD --usecompiled \
+# --path="${BUILD_DIR}/install$(python_get_sitedir)/" || die
+# }
diff --git a/dev-python/splinter/Manifest b/dev-python/splinter/Manifest
new file mode 100644
index 0000000..c2814f9
--- /dev/null
+++ b/dev-python/splinter/Manifest
@@ -0,0 +1 @@
+DIST splinter-0.19.0.gh.tar.gz 202954 BLAKE2B bb22c290451720f03f0a58e0efa934dc2a4c6ff02293cf286b9d3f9ca8ab1de2f8b4c2bfcb73dc8dc4fe2554766a8e4202007e91edc3a4298cfb6a349ea4b601 SHA512 f9b6d829f61848ef4847cb7fcd25f5272c514926ce8faf35658fc1384526973e07c2697a35a86681a4919e6234a7f15729489f12ceb2bb2c5f448ce049f1df63
diff --git a/dev-python/splinter/metadata.xml b/dev-python/splinter/metadata.xml
new file mode 100644
index 0000000..6125bb7
--- /dev/null
+++ b/dev-python/splinter/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ Splinter is a Python framework that provides a simple and consistent interface for web application automation.
+ Key features:
+ Easy to learn: The API is designed to be intuitive and quick to pick up.
+ Faster to code: Automate browser interactions quickly and reliably without fighting the tool.
+ Powerful: Designed for real world use cases, it guards against common automation quirks.
+ Flexible: Access to lower level tools is never hidden. Break out into raw Selenium at any time.
+ Robust: Support is available for multiple automation drivers (Selenium, Django, Flask, ZopeTestBrowser).
+ </longdescription>
+ <upstream>
+ <changelog>https://splinter.readthedocs.io/en/latest/news.html</changelog>
+ <doc>https://splinter.readthedocs.io/</doc>
+ <bugs-to>https://github.com/cobrateam/splinter/issues</bugs-to>
+ <remote-id type="github">cobrateam/splinter</remote-id>
+ <remote-id type="pypi">splinter</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/splinter/splinter-0.19.0.ebuild b/dev-python/splinter/splinter-0.19.0.ebuild
new file mode 100644
index 0000000..000f34a
--- /dev/null
+++ b/dev-python/splinter/splinter-0.19.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="splinter - python test framework for web applications"
+HOMEPAGE="https://github.com/cobrateam/splinter"
+SRC_URI="https://github.com/cobrateam/splinter/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/zope-testbrowser[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
diff --git a/dev-python/zope-authentication/zope-authentication-5.0.ebuild b/dev-python/zope-authentication/zope-authentication-5.0.ebuild
index 474299a..61b0363 100644
--- a/dev-python/zope-authentication/zope-authentication-5.0.ebuild
+++ b/dev-python/zope-authentication/zope-authentication-5.0.ebuild
@@ -48,6 +48,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-browser/zope-browser-2.4.ebuild b/dev-python/zope-browser/zope-browser-2.4.ebuild
index 1baffca..a0f0f16 100644
--- a/dev-python/zope-browser/zope-browser-2.4.ebuild
+++ b/dev-python/zope-browser/zope-browser-2.4.ebuild
@@ -34,6 +34,13 @@ src_prepare() {
distutils-r1_src_prepare
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
diff --git a/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild b/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
index 0b310bb..15eaf1e 100644
--- a/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
+++ b/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
@@ -51,6 +51,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-container/zope-container-5.0.ebuild b/dev-python/zope-container/zope-container-5.0.ebuild
index 2893e66..ccd79f3 100644
--- a/dev-python/zope-container/zope-container-5.0.ebuild
+++ b/dev-python/zope-container/zope-container-5.0.ebuild
@@ -62,3 +62,10 @@ python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
diff --git a/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild b/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
index cf69443..6dbb2ba 100644
--- a/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
+++ b/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
@@ -42,6 +42,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/filerepresentation" || die
distutils-r1_src_test
diff --git a/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild b/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild
index c66dd73..e02e448 100644
--- a/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild
+++ b/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild
@@ -50,6 +50,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
python_test() {
cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
diff --git a/dev-python/zope-minmax/zope-minmax-2.3.ebuild b/dev-python/zope-minmax/zope-minmax-2.3.ebuild
index 6cb9244..a025fc1 100644
--- a/dev-python/zope-minmax/zope-minmax-2.3.ebuild
+++ b/dev-python/zope-minmax/zope-minmax-2.3.ebuild
@@ -41,6 +41,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild b/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild
index da07017..4c0698c 100644
--- a/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild
+++ b/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild
@@ -52,6 +52,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild b/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
index 4114cd6..ba7b335 100644
--- a/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
+++ b/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
@@ -48,6 +48,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild b/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild
index ec1dfbb..dc985dd 100644
--- a/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild
+++ b/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild
@@ -42,6 +42,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild b/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
index 6470fad..b738fff 100644
--- a/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
+++ b/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
@@ -56,6 +56,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
python_test() {
cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
diff --git a/dev-python/zope-security/zope-security-6.1.ebuild b/dev-python/zope-security/zope-security-6.1.ebuild
index b5a8e2c..ca6131a 100644
--- a/dev-python/zope-security/zope-security-6.1.ebuild
+++ b/dev-python/zope-security/zope-security-6.1.ebuild
@@ -16,6 +16,7 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="doc"
RDEPEND="
dev-python/pytz[${PYTHON_USEDEP}]
@@ -39,7 +40,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_sphinx docs
+#distutils_enable_sphinx docs dev-python/repoze-sphinx-autointerface dev-python/zope-interface
distutils_enable_tests unittest
src_prepare() {
@@ -53,6 +54,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
python_test() {
cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
diff --git a/dev-python/zope-session/zope-session-4.5.ebuild b/dev-python/zope-session/zope-session-4.5.ebuild
index 0f13a6d..0cb85b4 100644
--- a/dev-python/zope-session/zope-session-4.5.ebuild
+++ b/dev-python/zope-session/zope-session-4.5.ebuild
@@ -51,6 +51,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-site/zope-site-4.6.1.ebuild b/dev-python/zope-site/zope-site-4.6.1.ebuild
index 3a388a5..fd15355 100644
--- a/dev-python/zope-site/zope-site-4.6.1.ebuild
+++ b/dev-python/zope-site/zope-site-4.6.1.ebuild
@@ -55,6 +55,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-tal/zope-tal-5.0.1.ebuild b/dev-python/zope-tal/zope-tal-5.0.1.ebuild
index e4652b2..5d20345 100644
--- a/dev-python/zope-tal/zope-tal-5.0.1.ebuild
+++ b/dev-python/zope-tal/zope-tal-5.0.1.ebuild
@@ -46,6 +46,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-tales/zope-tales-5.2.ebuild b/dev-python/zope-tales/zope-tales-5.2.ebuild
index e86e069..b273017 100644
--- a/dev-python/zope-tales/zope-tales-5.2.ebuild
+++ b/dev-python/zope-tales/zope-tales-5.2.ebuild
@@ -47,6 +47,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test
diff --git a/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild b/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
index 087e459..0b24e20 100644
--- a/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
+++ b/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
@@ -55,6 +55,13 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+python_compile_all() {
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+}
+
src_test() {
cd "${S}/src/zope/untrustedpython" || die
distutils-r1_src_test